package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

/**
 *  class KelengkapanCheckOutDetail
 * 
 * @author shakato
 */
@Entity //@Audited
@Table(name = "KelengkapanCheckOutDetail_T")
public class KelengkapanCheckOutDetail extends BaseTransaction {
	
	@ManyToOne
	@JoinColumn(name = "ObjectCheckOutOperationFk")
	@Caption(value = "ID checkOutOperation")
	@NotNull(message = "ID checkOutOperation tidak boleh kosong")
	private CheckOutOperation checkOutOperation;
	
	@Column(name = "ObjectCheckOutOperationFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = false)
	private String checkOutOperationId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectKelengkapanCheckOutFk")
	@Caption(value = "ID KelengkapanCheckOut")
	@NotNull(message = "ID KelengkapanCheckOut tidak boleh kosong")
	private KelengkapanCheckOut kelengkapanCheckOut;
	
	@Column(name = "ObjectKelengkapanCheckOutFk", insertable = false, updatable = false, nullable = false)
	private Integer kelengkapanCheckOutId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectStatusYaTidakFk")
	@Caption(value = "ID StatusYaTidak")
	@NotNull(message = "ID StatusYaTidak tidak boleh kosong")
	private StatusYaTidak statusYaTidak;
	
	@Column(name = "ObjectStatusYaTidakFk", insertable = false, updatable = false, nullable = false)
	private Integer statusYaTidakId;
	
	@Column(name = "keterangan", nullable = true)
	@Caption(value = "keterangan")
	private String keterangan;

	public CheckOutOperation getCheckOutOperation() {
		return checkOutOperation;
	}

	public void setCheckOutOperation(CheckOutOperation checkOutOperation) {
		this.checkOutOperation = checkOutOperation;
	}

	public String getCheckOutOperationId() {
		return checkOutOperationId;
	}

	public void setCheckOutOperationId(String checkOutOperationId) {
		this.checkOutOperationId = checkOutOperationId;
	}

	public KelengkapanCheckOut getKelengkapanCheckOut() {
		return kelengkapanCheckOut;
	}

	public void setKelengkapanCheckOut(KelengkapanCheckOut kelengkapanCheckOut) {
		this.kelengkapanCheckOut = kelengkapanCheckOut;
	}

	public Integer getKelengkapanCheckOutId() {
		return kelengkapanCheckOutId;
	}

	public void setKelengkapanCheckOutId(Integer kelengkapanCheckOutId) {
		this.kelengkapanCheckOutId = kelengkapanCheckOutId;
	}

	public StatusYaTidak getStatusYaTidak() {
		return statusYaTidak;
	}

	public void setStatusYaTidak(StatusYaTidak statusYaTidak) {
		this.statusYaTidak = statusYaTidak;
	}

	public Integer getStatusYaTidakId() {
		return statusYaTidakId;
	}

	public void setStatusYaTidakId(Integer statusYaTidakId) {
		this.statusYaTidakId = statusYaTidakId;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}
	
}